Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.grammar.xmlschema
Class ElementDeclExp.XSElementExp

    java.lang.Object
      com.sun.msv.grammar.Expression
          com.sun.msv.grammar.ElementExp
              com.sun.msv.grammar.xmlschema.ElementDeclExp.XSElementExp

All Implemented Interfaces:
  NameClassAndExpression, java.io.Serializable

Enclosing class:
  ElementDeclExp

public class ElementDeclExp.XSElementExp
extends ElementExp

XML Schema version of `ElementExp`.

Author:
  Kohsuke KAWAGUCHI
See Also:
  Serialized Form

Field Summary
`SimpleNameClass` | `elementName`
`java.util.Vector` | `identityConstraints` identity constraints associated to this declaration.
`ElementDeclExp` | `parent`

Fields inherited from class com.sun.msv.grammar.ElementExp
`contentModel, ignoreUndeclaredAttributes`

Fields inherited from class com.sun.msv.grammar.Expression
`anyString, epsilon, nullSet, verifierTag`

Constructor Summary
`ElementDeclExp.XSElementExp(SimpleNameClass elementName, Expression contentModel)`

Method Summary
`NameClass` | `getNameClass()` obtains a constraint over tag name.

Methods inherited from class com.sun.msv.grammar.ElementExp
`equals, getContentModel, visit, visit, visit, visit`

Methods inherited from class com.sun.msv.grammar.Expression
`getExpandedExp, hashCode, isEpsilonReducible, peelOccurence, visit, visit, visit, visit`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### elementName

    public final SimpleNameClass elementName

### identityConstraints

    public final java.util.Vector identityConstraints

  identity constraints associated to this declaration. When no constraint exists, this field may be null (or empty vector). Items are of derived types of `IdentityConstraint` class.

  These identity constraints are not enforced by the default Verifier implementation.

### parent

    public final ElementDeclExp parent

Constructor Detail

### ElementDeclExp.XSElementExp

    public ElementDeclExp.XSElementExp(SimpleNameClass elementName,
                                       Expression contentModel)

Method Detail

### getNameClass

    public final NameClass getNameClass()

  Description copied from class: `ElementExp`
  obtains a constraint over tag name. ElementExp is cannot be shared because NameClass has to be mutable to absorb the difference of RELAX and TREX. In case of TREX, name class will be determined when parsing ElementExp itself. Thus effectively it's immutable. In case of RELAX, name class will be determined when its corresponding Clause object is parsed.

  Specified by:
    `getNameClass` in interface `NameClassAndExpression`
  Specified by:
    `getNameClass` in class `ElementExp`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD